Subject: bug#8824: sort occasionally hangs - appears to be in a merge-sort loop

From: Pádraig Brady <[email-masked]>
Date: Thu, 09 Jun 2011 09:29:10 +0100

On 08/06/11 21:16, Mina Naguib wrote:
> 
> I've observed a few instances when `sort` simply "hangs" and never returns the sorted data.

> In my case, I think I'll downgrade coreutils back down to 8.5 as well as disable all tools from invoking it with "--compress-program" to get predictable non-hanging behaviour across the board.

coreutils 8.6 got the threaded sort implementation, so maybe that's triggering an obscure bug.
If you were on a multi processor machine, you could restrict `sort` to a single
thread by adding the --parallel=1 option. It's worth absolving that I think.

thanks for the very detailed bug report,
Pádraig.